<?php 
 
$wp_customize->add_section(
	'gallery_section',
	array(
		'title'         => __( 'Gallery Section', 'Luzuk' ),
		'panel'   => 'luzuk_premium_home_panel',
	)
);
$wp_customize->add_setting(
	'gallery_section_disable',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'gallery_section_disable',
		array(
			'settings'      => 'gallery_section_disable',
			'section'       => 'gallery_section',
			'label'         => __( 'Disable Section', 'Luzuk' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'Luzuk' ),
				'off' => __( 'No', 'Luzuk' )
			)   
		)
	)
);

backgroundManager($wp_customize, 'gallery', 'gallery_section', $color='#fdf4f3');

lzCustomLable($wp_customize, 'luzuk_sec_gallerysectionpadding', 'gallery_section', 'Set Padding For Gallery Section:');

$wp_customize->add_setting(
    'secgalleryTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'secgalleryTpadding',
    array(
        'settings'      => 'secgalleryTpadding',
        'section'       => 'gallery_section',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'lz-fitness-premium' )
    )
);
$wp_customize->add_setting(
    'secgalleryBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'secgalleryBpadding',
    array(
        'settings'      => 'secgalleryBpadding',
        'section'       => 'gallery_section',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'lz-fitness-premium' )
    )
);


$wp_customize->add_setting(
    'gallery_maintitle_subtitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'gallery_maintitle_subtitle_heading',
        array(
            'settings'      => 'gallery_maintitle_subtitle_heading',
            'section'       => 'gallery_section',
            'label'         => __( 'Section Heading', 'Luzuk' ),
        )
    )
);

$wp_customize->add_setting(
    'gallery_page_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Captured Moments', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'gallery_page_maintitle',
    array(
        'settings'      => 'gallery_page_maintitle',
        'section'       => 'gallery_section',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'gall_sechead_clr', 'gallery_section', 'Section Heading Color ', '#000');


$wp_customize->add_setting(
    'gallerytext',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'gallerytext',
    array(
        'settings'      => 'gallerytext',
        'section'       => 'gallery_section',
        'type'          => 'textarea',
        'label'         => __( 'Section Sub Heading Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'gall_secsubheadtxt_clr', 'gallery_section', 'Section Sub Heading Text Color ', '#878586');

$wp_customize->add_setting('gallery_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Info_Text( 
		$wp_customize,
		'gallery_section_lbl',
		array(
			'settings'		=> 'gallery_section_lbl',
			'section'		=> 'gallery_section',
			'label'			=> __( 'Note:', 'Luzuk' ),	
			'description'	=> __( 'Use Gallery Images Of Equal Height.{600px*600px}', 'Luzuk' ),
		)
	)
);

$wp_customize->add_setting('luzuk_gallery_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Customize_Heading(
		$wp_customize,
		'luzuk_gallery_npp_heading',
		array(
			'settings'      => 'luzuk_gallery_npp_heading',
			'section'       => 'gallery_section',
			'label'         => __( 'Number Of gallery images to show', 'luzuk' ),
		)
	)
);    

$wp_customize->add_setting('gallery_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 5));
$wp_customize->add_control(
	'gallery_npp_count',
	array(
		'settings'      => 'gallery_npp_count',
		'section'       => 'gallery_section',
		'type'          => 'select',
		'label'         => __( 'Number of gallery images to show', 'luzuk' ),
		'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
	)
);


$luzukGallerySingleChoice[] = 'Select';

for( $i = 1; $i <= 12; $i++ ){
	$wp_customize->add_setting(
		'rg_gallery_heading'.$i,
		array(
			'sanitize_callback' => 'luzuk_sanitize_text'
		)
	);
	$wp_customize->add_control(
		new luzuk_Customize_Heading(
			$wp_customize,
			'rg_gallery_heading'.$i,
			array(
				'settings'      => 'rg_gallery_heading'.$i,
				'section'       => 'gallery_section',
				'label'         => __( 'Gallery Image ', 'Luzuk' ).$i, 
			)
		)
	);
	if(is_array($luzukGallerySingleChoice)){
		$wp_customize->add_setting(
			'gallery_page'.$i,
			array(
				'sanitize_callback' => 'absint'
			)
		);
		$wp_customize->add_control(
			'gallery_page'.$i,
			array(
				'settings'      => 'gallery_page'.$i,
				'section'       => 'gallery_section',
				'type'=> 'select',
				'label'         => __( 'Select a Gallery Image', 'Luzuk' ),
				'choices' => $luzukGallerySingleChoice,
			)
		);
	}else{
		$wp_customize->add_setting('gallery_section_lbl'.$i, array('sanitize_callback'=>'luzuk_sanitize_text'));
		$wp_customize->add_control(
			new luzuk_Info_Text( 
				$wp_customize,
				'gallery_section_lbl'.$i,
				array(
					'settings'		=> 'gallery_section_lbl'.$i,
					'section'		=> 'gallery_section',
					'label'			=> __( 'Note:', 'Luzuk' ),	
					'description'	=> __( '<strong>Changes will not reflect unless you select the gallery Image.</strong> <br/>Please add the gallery images from "Gallery menu" and then select gallery Image to show.', 'Luzuk' ),
				)
			)
		);
	}
}


lzCustomLable($wp_customize, 'luzuk_sec_galleryclr', 'gallery_section', 'Section Color');

addColorPalatOption($wp_customize, 'gall_secimg_clr', 'gallery_section', 'Section Image Overlay Color ', '#000');

addColorPalatOption($wp_customize, 'gall_secicnbrd_clr', 'gallery_section', 'Section Image Border Color ', '#fff');

addColorPalatOption($wp_customize, 'gall_secimgttle_clr', 'gallery_section', 'Section Image Title Color ', '#fff');

addColorPalatOption($wp_customize, 'gall_secimgttlehv_clr', 'gallery_section', 'Section Image Title Hover Color ', '#f27968');


